ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Deduct Promotional Credits

Idempotency Supported

This API call can be used to deduct promotional credits for a customer. Learn more about Promotional Credits.

For example, if a customer has a credit balance of $20, if you pass the amount as $5, then the customer's credit balance would become $15.

If you do not pass any amount as the input parameter then, it will deduct the whole available amount from the credit balance.

Sample Request

URL Format

POST https://[site].chargebee.com/api/v2/promotional_credits/deduct

Input Parameters

customer_id
required, string, max chars=50

Identifier of the customer.

amount
optional, in cents, min=0

Promotional credits amount.

amount_in_decimal
optional, string, max chars=33

Amount in decimal.

currency_code
required if Multicurrency is enabled, string, max chars=3

The currency code (ISO 4217 format) for promotional credit.

description
required, string, max chars=250

Detailed description of this promotional credits.

credit_type
optional, enumerated string, default=general

Type of promotional credits provided to customer.

Possible Enum Values
loyalty_credits

Loyalty Credits

referral_rewards

Referral

general

General

reference
optional, string, max chars=500

Describes why promotional credits were provided.

Returns

customerCustomer object
Resource object representing customer
promotional_creditPromotional credit object
Resource object representing promotional_credit